# disable the server signature
ServerSignature Off
<IfModule mod_rewrite.c>
RewriteEngine On
ErrorDocument 404 /error/404.php
ErrorDocument 504 /error/504.php
RewriteCond %{REQUEST_FILENAME} !-f
RewriteRule ^([^\.]+)$ $1.php [NC,L]
</IfModule>